## org.eclipse.datatools.modelbase.sql.accesscontrol
Interface SQLAccessControlPackage.Literals

Enclosing interface:
  SQLAccessControlPackage

    public static interface SQLAccessControlPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` `AUTHORIZATION_IDENTIFIER` The meta object literal for the '`Authorization Identifier`' class.
`static org.eclipse.emf.ecore.EReference` `AUTHORIZATION_IDENTIFIER__DATABASE` The meta object literal for the 'Database' reference feature.
`static org.eclipse.emf.ecore.EReference` `AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE` The meta object literal for the 'Granted Privilege' reference list feature.
`static org.eclipse.emf.ecore.EReference` `AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION` The meta object literal for the 'Granted Role Authorization' reference list feature.
`static org.eclipse.emf.ecore.EReference` `AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA` The meta object literal for the 'Owned Schema' reference list feature.
`static org.eclipse.emf.ecore.EReference` `AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE` The meta object literal for the 'Received Privilege' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` `AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION` The meta object literal for the 'Received Role Authorization' reference list feature.
`static org.eclipse.emf.ecore.EClass` `GROUP` The meta object literal for the '`Group`' class.
`static org.eclipse.emf.ecore.EReference` `GROUP__USER` The meta object literal for the 'User' reference list feature.
`static org.eclipse.emf.ecore.EClass` `PRIVILEGE` The meta object literal for the '`Privilege`' class.
`static org.eclipse.emf.ecore.EAttribute` `PRIVILEGE__ACTION` The meta object literal for the 'Action' attribute feature.
`static org.eclipse.emf.ecore.EReference` `PRIVILEGE__ACTION_OBJECTS` The meta object literal for the 'Action Objects' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `PRIVILEGE__GRANTABLE` The meta object literal for the 'Grantable' attribute feature.
`static org.eclipse.emf.ecore.EReference` `PRIVILEGE__GRANTEE` The meta object literal for the 'Grantee' container reference feature.
`static org.eclipse.emf.ecore.EReference` `PRIVILEGE__GRANTOR` The meta object literal for the 'Grantor' reference feature.
`static org.eclipse.emf.ecore.EReference` `PRIVILEGE__OBJECT` The meta object literal for the 'Object' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `PRIVILEGE__WITH_HIERARCHY` The meta object literal for the 'With Hierarchy' attribute feature.
`static org.eclipse.emf.ecore.EClass` `ROLE` The meta object literal for the '`Role`' class.
`static org.eclipse.emf.ecore.EReference` `ROLE__ROLE_AUTHORIZATION` The meta object literal for the 'Role Authorization' reference list feature.
`static org.eclipse.emf.ecore.EClass` `ROLE_AUTHORIZATION` The meta object literal for the '`Role Authorization`' class.
`static org.eclipse.emf.ecore.EAttribute` `ROLE_AUTHORIZATION__GRANTABLE` The meta object literal for the 'Grantable' attribute feature.
`static org.eclipse.emf.ecore.EReference` `ROLE_AUTHORIZATION__GRANTEE` The meta object literal for the 'Grantee' reference feature.
`static org.eclipse.emf.ecore.EReference` `ROLE_AUTHORIZATION__GRANTOR` The meta object literal for the 'Grantor' reference feature.
`static org.eclipse.emf.ecore.EReference` `ROLE_AUTHORIZATION__ROLE` The meta object literal for the 'Role' reference feature.
`static org.eclipse.emf.ecore.EClass` `USER` The meta object literal for the '`User`' class.
`static org.eclipse.emf.ecore.EReference` `USER__GROUP` The meta object literal for the 'Group' reference list feature.

Field Detail

### AUTHORIZATION_IDENTIFIER

    static final org.eclipse.emf.ecore.EClass AUTHORIZATION_IDENTIFIER

  The meta object literal for the '`Authorization Identifier`' class.

  See Also:
    `AuthorizationIdentifierImpl`, `SQLAccessControlPackageImpl.getAuthorizationIdentifier()`

### AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA

    static final org.eclipse.emf.ecore.EReference AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA

  The meta object literal for the 'Owned Schema' reference list feature.

### AUTHORIZATION_IDENTIFIER__DATABASE

    static final org.eclipse.emf.ecore.EReference AUTHORIZATION_IDENTIFIER__DATABASE

  The meta object literal for the 'Database' reference feature.

### AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION

    static final org.eclipse.emf.ecore.EReference AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION

  The meta object literal for the 'Received Role Authorization' reference list feature.

### AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION

    static final org.eclipse.emf.ecore.EReference AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION

  The meta object literal for the 'Granted Role Authorization' reference list feature.

### AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE

    static final org.eclipse.emf.ecore.EReference AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE

  The meta object literal for the 'Granted Privilege' reference list feature.

### AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE

    static final org.eclipse.emf.ecore.EReference AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE

  The meta object literal for the 'Received Privilege' containment reference list feature.

### PRIVILEGE

    static final org.eclipse.emf.ecore.EClass PRIVILEGE

  The meta object literal for the '`Privilege`' class.

  See Also:
    `PrivilegeImpl`, `SQLAccessControlPackageImpl.getPrivilege()`

### PRIVILEGE__GRANTABLE

    static final org.eclipse.emf.ecore.EAttribute PRIVILEGE__GRANTABLE

  The meta object literal for the 'Grantable' attribute feature.

### PRIVILEGE__ACTION

    static final org.eclipse.emf.ecore.EAttribute PRIVILEGE__ACTION

  The meta object literal for the 'Action' attribute feature.

### PRIVILEGE__WITH_HIERARCHY

    static final org.eclipse.emf.ecore.EAttribute PRIVILEGE__WITH_HIERARCHY

  The meta object literal for the 'With Hierarchy' attribute feature.

### PRIVILEGE__GRANTOR

    static final org.eclipse.emf.ecore.EReference PRIVILEGE__GRANTOR

  The meta object literal for the 'Grantor' reference feature.

### PRIVILEGE__GRANTEE

    static final org.eclipse.emf.ecore.EReference PRIVILEGE__GRANTEE

  The meta object literal for the 'Grantee' container reference feature.

### PRIVILEGE__ACTION_OBJECTS

    static final org.eclipse.emf.ecore.EReference PRIVILEGE__ACTION_OBJECTS

  The meta object literal for the 'Action Objects' reference list feature.

### PRIVILEGE__OBJECT

    static final org.eclipse.emf.ecore.EReference PRIVILEGE__OBJECT

  The meta object literal for the 'Object' reference feature.

### GROUP

    static final org.eclipse.emf.ecore.EClass GROUP

  The meta object literal for the '`Group`' class.

  See Also:
    `GroupImpl`, `SQLAccessControlPackageImpl.getGroup()`

### GROUP__USER

    static final org.eclipse.emf.ecore.EReference GROUP__USER

  The meta object literal for the 'User' reference list feature.

### USER

    static final org.eclipse.emf.ecore.EClass USER

  The meta object literal for the '`User`' class.

  See Also:
    `UserImpl`, `SQLAccessControlPackageImpl.getUser()`

### USER__GROUP

    static final org.eclipse.emf.ecore.EReference USER__GROUP

  The meta object literal for the 'Group' reference list feature.

### ROLE

    static final org.eclipse.emf.ecore.EClass ROLE

  The meta object literal for the '`Role`' class.

  See Also:
    `RoleImpl`, `SQLAccessControlPackageImpl.getRole()`

### ROLE__ROLE_AUTHORIZATION

    static final org.eclipse.emf.ecore.EReference ROLE__ROLE_AUTHORIZATION

  The meta object literal for the 'Role Authorization' reference list feature.

### ROLE_AUTHORIZATION

    static final org.eclipse.emf.ecore.EClass ROLE_AUTHORIZATION

  The meta object literal for the '`Role Authorization`' class.

  See Also:
    `RoleAuthorizationImpl`, `SQLAccessControlPackageImpl.getRoleAuthorization()`

### ROLE_AUTHORIZATION__GRANTABLE

    static final org.eclipse.emf.ecore.EAttribute ROLE_AUTHORIZATION__GRANTABLE

  The meta object literal for the 'Grantable' attribute feature.

### ROLE_AUTHORIZATION__ROLE

    static final org.eclipse.emf.ecore.EReference ROLE_AUTHORIZATION__ROLE

  The meta object literal for the 'Role' reference feature.

### ROLE_AUTHORIZATION__GRANTEE

    static final org.eclipse.emf.ecore.EReference ROLE_AUTHORIZATION__GRANTEE

  The meta object literal for the 'Grantee' reference feature.

### ROLE_AUTHORIZATION__GRANTOR

    static final org.eclipse.emf.ecore.EReference ROLE_AUTHORIZATION__GRANTOR

  The meta object literal for the 'Grantor' reference feature.